Skip to content

Update store connection​

PATCH
/api/v1/store-connections/{connection_id}

Partially updates a store connection's name, URL, credentials, or status. Only provided fields are changed.

Authorizations​

HTTPBearer
Type
HTTP (bearer)

Parameters​

Path Parameters

connection_id*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"name": "string",
  
"base_url": "string",
  
"media_base_url": "string",
  
"access_token": "string",
  
"consumer_key": "string",
  
"consumer_secret": "string",
  
"status": "string"
}

Responses​

Successful Response

application/json
JSON
{
  
"id": "string",
  
"name": "string",
  
"platform": "string",
  
"base_url": "string",
  
"media_base_url": "string",
  
"status": "string",
  
"has_credentials": true,
  
"last_connected_at": "string",
  
"created_at": "string",
  
"updated_at": "string",
  
"project_count": 0
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI

XC AI Content Automation